package com.clx.performance.param.pc;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.NotNull;
import java.util.List;

@Data
public class OrderCancelParam {

    @NotNull(message = "订单编号不能为空")
    @Schema(description="订单编号")
    private String orderNo;

    @Schema(description="1:弹窗1  2：弹窗取消未拉运吨数 3：取消未拉运+已到达货源地之前的吨数")
    private Integer cancelType;

    @Schema(description="1:平台  2：货主")
    private Integer createByType;

    @Schema(description="取消原因")
    private String cancelReason;

    private List<String> childNoList;
}
