package com.clx.performance.param.pc;

import com.msl.common.base.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

/**
 * @Author huyufan
 * @create 2023-09-19 13:33
 */
@Getter
@Setter
@NoArgsConstructor
@ToString
public class PageOwnerAccountRunningWaterParam extends PageParam {

    @Schema(description="账户类型",example = "1：保证金账户 2：预付金账户")
    private String accountType;

    @Schema(description="流水类型 10:充值 20：冻结 30：解冻 40：提现冻结 50：提现成功 60：扣除 70：提现失败",example = "10")
    private String runningWaterType;

    @Schema(description="操作开始时间",example = "2020-01-01 10:10:10")
    private String beginTime;

    @Schema(description = "操作结束时间",example = "2020-01-01 10:10:10")
    private String endTime;

    @Schema(description="货主编码",example = "20145787812312312")
    private Long ownerUserNo;

}
