package com.clx.performance.param.pc;

import com.msl.common.base.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

/**
 * @Author liruixin
 * @create 2023-09-19 13:33
 */
@Getter
@Setter
@NoArgsConstructor
@ToString
public class PagePoundAuditParam extends PageParam {

    @Schema(description="运单编号",example = "201457878")
    private String childNo;

    @Schema(description="司机姓名",example = "募资类")
    private String driverName;

    @Schema(description="司机手机号",example = "12222222222")
    private String driverMobile;

    @Schema(description="发货地址",example = "北京")
    private String sendAddress;

    @Schema(description="收货地址",example = "黄羊城")
    private String receiveAddress;

    @Schema(description="审核状态 0 待审核 1 审核通过 2 审核驳回",example = "1")
    private Integer status;

    @Schema(description="开始时间",example = "2020-01-01 10:10:10")
    private String beginTime;

    @Schema(description = "结束时间",example = "2020-01-01 10:10:10")
    private String endTime;

}
