package com.clx.performance.param.pc;

import com.msl.common.convertor.type.MoneyInConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import jakarta.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @ClassName UpdateOrderGoodsPriceParam
 * @Description
 * @Author kavin
 * @Date 2023/10/26 10:30
 * @Version 1.0
 */
@Getter
@Setter
public class UpdateOrderGoodsPriceParam {

    @NotNull(message = "货单id不能为空")
    @Schema(description="货单id")
    private Integer id;


    @NotNull(message = "挂单运费不能为空")
    @Schema(description="挂单运费")
    @MoneyInConvert
    private BigDecimal pendingOrderFreight;

}
