package com.clx.performance.controller.temp;

import com.clx.order.feign.OrderFeign;
import com.msl.common.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: aiqingguo
 * @Description: 临时接口
 * @Date: 2023-8-21 12:10:16
 * @Version: 1.0
 */
@Slf4j
@RestController
@RequestMapping(value="/temp/feign")
@AllArgsConstructor
public class TempFeignController {

    private OrderFeign orderFeign;

    @Operation(summary = "测试feign", description = "<br>By:刘海泉")
    @GetMapping("/replaceFeignHttp")
    public Result<Object> replaceFeignHttp() {

        orderFeign.testFeignHttp();

        return Result.ok();
    }

}
