package com.clx.performance.model.breakcontract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("break_contract_owner_record")
public class BreakContractOwnerRecord   implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("order_source")
    @Schema(description = "订单来源 1:交易平台  2:货主端 3:货主客户端")
    private Integer orderSource;

    @TableField("trigger_type")
    @Schema(description="触发类型：1系统触发 2手动触发")
    private Integer triggerType;

    @TableField("break_contract_party_type")
    @Schema(description="违约方类型：1平台 2货主 3车主")
    private Integer breakContractPartyType;

    @TableField("break_no")
    @Schema(description = "违约单号", example = "")
    private String breakNo;

    @TableField("order_no")
    @Schema(description="违约订单")
    private String orderNo;

    @TableField("owner_user_no")
    @Schema(description="货主用户编号")
    private Long ownerUserNo;

    @TableField("owner_name")
    @Schema(description="货主名称")
    private String ownerName;

    @TableField("owner_company_no")
    @Schema(description="货主用户编号")
    private Long ownerCompanyNo;

    @TableField("figure")
    @Schema(description="违约金（分）")
    private BigDecimal figure;

    @TableField("settlement_no")
    @Schema(description="结算单编号")
    private String settlementNo;

    @TableField("confirm_status")
    @Schema(description="确认状态：0-确认中;1-已经确认;2-已驳回")
    private Integer confirmStatus;

    @TableField("reject_reason")
    @Schema(description="驳回原因")
    private String rejectReason;

    @TableField("pay_status")
    @Schema(description="缴费状态：0未缴费;1已缴费")
    private Integer payStatus;

    @TableField("pay_time")
    @Schema(description="支付时间")
    private LocalDateTime payTime;

    @TableField("remark")
    @Schema(description="备注")
    private String remark;

    @TableField("create_by")
    @Schema(description = "操作人编号", example = "")
    private Long createBy;

    @TableField("create_name")
    @Schema(description = "操作人名称", example = "")
    private String createName;

    @TableField("create_time")
    @Schema(description="创建时间")
    private LocalDateTime createTime;

    @TableField("modified_time")
    @Schema(description="修改时间")
    private LocalDateTime modifiedTime;

    @Override
    @KeyColumn("id")
    public Integer gainKey() {
    return this.id;
    }
}
