package com.clx.performance.model.breakcontract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("break_contract_settlement_owner_detail")
public class BreakContractSettlementOwnerDetail  implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("break_contract_party_type")
    @Schema(description="违约方类型：1平台 2货主 3车主")
    private Integer breakContractPartyType;

    @TableField("break_no")
    @Schema(description="违约单号")
    private String breakNo;

    @TableField("settlement_no")
    @Schema(description="结算单号")
    private String settlementNo;

    @TableField("owner_user_no")
    @Schema(description="货主用户编号")
    private Long ownerUserNo;

    @TableField("owner_name")
    @Schema(description="货主名称")
    private String ownerName;

    @TableField("order_no")
    @Schema(description="订单编号")
    private String orderNo;

    @TableField("figure")
    @Schema(description="违约金（分）")
    private BigDecimal figure;

    @TableField("break_contract_remark")
    @Schema(description="违约说明")
    private String breakContractRemark;

    @TableField("create_by")
    @Schema(description="操作人编号")
    private Long createBy;

    @TableField("create_name")
    @Schema(description="操作人名称")
    private String createName;

    @TableField("create_time")
    @Schema(description="创建时间")
    private LocalDateTime createTime;

    @TableField("modified_time")
    @Schema(description="修改时间")
    private LocalDateTime modifiedTime;

    @Override
    @KeyColumn("id")
    public Integer gainKey() {
    return this.id;
    }
}
